Emotes APIChannels
Get channel identifiers
Resolves the channel on the selected platforms and returns platform-native identifiers.
Path Parameters
channel*string
Channel login.
Length
1 <= lengthQuery Parameters
platform?string
Platforms to include. Defaults to all.
Default
"all"Value in
- "twitch"
- "kick"
- "all"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/channel/xqc/id?platform=all"{ "twitch": { "platform": "twitch", "id": "71092938", "login": "xqc", "displayName": "xQc", "avatar": "https://static-cdn.jtvnw.net/jtv_user_pictures/xqc-profile_image-9298dca608632101-300x300.jpeg" }, "kick": { "platform": "kick", "id": "676", "login": "xqc", "displayName": "xQc", "avatar": "https://files.kick.com/images/user/676/profile_image/conversion/931b4e8f-5445-427c-bd82-b473530390cc-fullsize.webp" }}